{
    "name": "vendor/phplesbases",
    "license": "proprietary",
    "description": "Ce projet est destiné a l'apprentissage des base du PHP.",
    "require": {
        "php": ">=8.1.4",
        "phpunit/phpunit": "^9.5",
        "friendsofphp/php-cs-fixer": "^3.8",
        "fakerphp/faker": "^1.19",
        "symfony/process": "^6.0"
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/",
            "App\\Resources\\": "resources/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "scripts": {
        "connect-docker": "docker compose exec php zsh",
        "lint": "@php-cs-fixer --diff --dry-run",
        "php-cs-fixer": "./vendor/bin/php-cs-fixer fix --using-cache=no --verbose",
        "refresh-containers": "docker compose down --remove-orphans --rmi local -v && docker compose build --pull && docker compose up -d --remove-orphans",
        "test": "@test-locally --coverage-text --colors=never",
        "test-locally": "XDEBUG_MODE=coverage php vendor/bin/phpunit --testdox --do-not-cache-result",
        "test-locally-les-bases": "@test-locally --testsuite les_bases",
        "test-locally-poo": "@test-locally --testsuite poo"
    }
}
